Name: cockpit-files
Version: 2.11.g4880646
Release: 1.20240627170157307449.main.11.g4880646%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: cockpit-files-2.11.g4880646.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires: cockpit-bridge >= 318

Provides: bundled(npm(@patternfly/patternfly)) = 5.3.1
Provides: bundled(npm(@patternfly/react-core)) = 5.3.3
Provides: bundled(npm(@patternfly/react-icons)) = 5.3.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.3.1
Provides: bundled(npm(@patternfly/react-table)) = 5.3.3
Provides: bundled(npm(@patternfly/react-tokens)) = 5.3.1
Provides: bundled(npm(attr-accept)) = 2.2.2
Provides: bundled(npm(date-fns)) = 3.6.0
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 0.6.0
Provides: bundled(npm(focus-trap)) = 7.5.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.2.3
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.0
Provides: bundled(npm(tslib)) = 2.6.3

%description
A filesystem browser for Cockpit

%prep
%setup -q -n cockpit-files

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Thu Jun 27 2024 Packit <hello@packit.dev> - 2.11.g4880646-1.20240627170157307449.main.11.g4880646
- Makefile: Update Cockpit lib to d5688ab59cf49e46815ec1e9332537bc (Allison Karlitskaya)
- test: Download file with multibyte characters (leomoty)
- download: Properly encode non-latin1 characters As otherwise it would fail to run btoa with any non-latin1 characters Fixes #602 (leomoty)
- tests: refactor rename_item (tomasmatus)
- tests: refactor create_directory (tomasmatus)
- tests: refactor delete_item (tomasmatus)
- tests: refactor wait_modal_inline_alert (tomasmatus)
- package.json: Clean up duplicate eslint-config-standard-react (Martin Pitt)
- Makefile: Update Cockpit lib to a4a114330b8e9d8d52ed514c97e92ec6 (Allison Karlitskaya)
- Add summary to metainfo (leomoty)
- packit.yaml: don't release to Fedora-39 (Jelle van der Waa)
